<?php
// written by: Christian Santiago
// assisted by: Simon Rudin
// debugged by: David Elrom/Christian Santiago

include_once ("../jpgraph/jpgraph.php");
include_once ("../jpgraph/jpgraph_pie.php");
include_once ("../jpgraph/jpgraph_pie3d.php");
include_once ("DBConnection.php5");
		
$tableDB = new DBConnection("ezserve","963852741","p41mysql21.secureserver.net","ezserve");
$tableDB->openDB();
  	
$topcookresults=$tableDB->getQuery("SELECT `Firstname`, `Lastname`, COUNT(`CookID`) FROM `Order`, `Employee` Where `Order`.`CookID` = `Employee`.`SSN` AND `Status` = 2 GROUP BY `CookID` ORDER BY 1, 2 DESC LIMIT 5");  	
		
$totalcooksum = $tableDB->getQuery("SELECT SUM(`Status`/2) FROM `Order` Where `Status` = 2");
		
$tableDB->closeDB();

// Some data
$topcooksum = 0;
$i = 0;
while($row=mysql_fetch_array($topcookresults,MYSQL_BOTH))
{
	$topcooksum = $topcooksum + $row[2];
	$data[$i] = $row[2];
	$name[$i] = $row[0]." ".$row[1];
	$i++;
}

$row=mysql_fetch_array($totalcooksum,MYSQL_BOTH);
$othersum = $row[0] - $topcooksum;

if($othersum > 0){
	$data[$i] = $othersum;
	$name[$i] = "Other";
}

// Create the Pie Graph. 
$graph = new PieGraph(535,260,'auto');
$graph->SetShadow();
$graph->SetAntiAliasing();
		
// Set A title for the plot
$graph->title->Set("Best Cooks");
$graph->title->SetFont(FF_FONT1,FS_BOLD);

// Create
$p1 = new PiePlot3D($data);
$p1->SetLegends($name);
$targ=array("pie3d_csimex1.php?v=1","pie3d_csimex1.php?v=2","pie3d_csimex1.php?v=3",
"pie3d_csimex1.php?v=4","pie3d_csimex1.php?v=5","pie3d_csimex1.php?v=6");
$alts=array("val=%d","val=%d","val=%d","val=%d","val=%d","val=%d");
$p1->SetCSIMTargets($targ,$alts);
		
// Use absolute labels
//$p1->SetLabelType(1);
//$p1->value->SetFormat("%d ");

$p1->SetTheme("water");

// Move the pie slightly to the left
$p1->SetCenter(0.3,0.5);
$p1->ExplodeAll(10);

$graph->Add($p1);

$graph->Stroke();

?>