<?php
// written by: David Elrom
// assisted by: Simon Rudin
// debugged by: David Elrom/Simon Rudin

include_once ("jpgraph/jpgraph.php");
include_once ("jpgraph/jpgraph_line.php");
include_once ("jpgraph/jpgraph_error.php");
include_once ("DBConnection.php5");

$tableDB = new DBConnection("ezserve","963852741","p41mysql21.secureserver.net","ezserve");
$tableDB->openDB();
  	
$result=$tableDB->getQuery("SELECT `Order`.`FoodID`, SUM(`Food`.`Price`), MONTH(`Order`.`Datetime`) FROM `Order`, `Food` WHERE `Order`.`FoodID` = `Food`.`FoodID` AND `Order`.`Status` = 2 GROUP BY MONTH(`Order`.`Datetime`) ORDER BY MONTH(`Order`.`Datetime`)");  	
		
$tableDB->closeDB();

$months[0] = "Jan";
$months[1] = "Feb";
$months[2] = "Mar";
$months[3] = "Apr";
$months[4] = "May";
$months[5] = "Jun";
$months[6] = "Jul";
$months[7] = "Aug";
$months[8] = "Sep";
$months[9] = "Oct";
$months[10] = "Nov";
$months[11] = "Dec";

$i=0;
while($row=mysql_fetch_array($result,MYSQL_BOTH))
{

	$data[$i] = $row[1];
	$names[$i] = $months[$i];
	$i++;

}

//$datax = array(3.5,3.7,3,4,6.2,6,3.5,8,14,8,11.1,13.7);
//$datay = array(1.23,1.9,1.6,3.1,3.4,2.8,2.1,1.9);

$graph = new Graph(450,400,"auto");
$graph->img->SetMargin(40,40,40,40);    
$graph->img->SetAntiAliasing();
$graph->SetScale("textlin");
$graph->SetShadow();
$graph->title->Set("Revenue");
$graph->title->SetFont(FF_FONT1,FS_BOLD);

$graph->xaxis->SetTickLabels($names);

// Use 20% "grace" to get slightly larger scale then min/max of
// data
$graph->yscale->SetGrace(20);


$p1 = new LinePlot($data);
$p1->mark->SetType(MARK_FILLEDCIRCLE);
$p1->mark->SetFillColor("red");
$p1->mark->SetWidth(4);
$p1->SetColor("blue");
$p1->SetCenter();
$graph->Add($p1);

$graph->Stroke();

?>

 
