<?php
// written by: Simon Rudin
// assisted by: David Elrom
// debugged by: David Elrom/Christian Santiago

include_once ("../jpgraph/jpgraph.php");
include_once ("../jpgraph/jpgraph_pie.php");
include_once ("../jpgraph/jpgraph_pie3d.php");
include_once ("DBConnection.php5");
		
		$tableDB = new DBConnection("ezserve","963852741","p41mysql21.secureserver.net","ezserve");
  	$tableDB->openDB();
  	
		$toppieresults=$tableDB->getQuery("SELECT `Name`, `Order`.`FoodID`, COUNT(`Order`.`FoodID`) FROM `Food`, `Order` Where `Order`.`FoodID` = `Food`.`FoodID` AND `Status` = 2 GROUP BY `FoodID` ORDER BY 3 DESC LIMIT 5");  	
		$totalpiesum = $tableDB->getQuery("SELECT SUM(`Status`/2) FROM `Order` Where `Status` = 2");
		
		$tableDB->closeDB();
		
		// Some data
		$toppiesum = 0;
		$i = 0;
		while($row=mysql_fetch_array($toppieresults,MYSQL_BOTH))
		{
			$toppiesum = $toppiesum + $row[2];
			$data[$i] = $row[2];
			$name[$i] = $row[0];
			$i++;
		}
		
		$row=mysql_fetch_array($totalpiesum,MYSQL_BOTH);
		$othersum = $row[0] - $toppiesum;

		if($othersum > 0){
		$data[$i] = $othersum;
		$name[$i] = "Other";
		}
		
		// Create the Pie Graph. 
		$graph = new PieGraph(535,260,'auto');
		$graph->SetAntiAliasing();
		$graph->SetShadow();
		
		// Set A title for the plot
		$graph->title->Set("Best Sellers");
		$graph->title->SetFont(FF_FONT1,FS_BOLD);
		
		// Create
		$p1 = new PiePlot3D($data);
		$p1->SetLegends($name);
		$targ=array("pie3d_csimex1.php?v=1","pie3d_csimex1.php?v=2","pie3d_csimex1.php?v=3",
			"pie3d_csimex1.php?v=4","pie3d_csimex1.php?v=5","pie3d_csimex1.php?v=6");
		$alts=array("val=%d","val=%d","val=%d","val=%d","val=%d","val=%d");
		$p1->SetCSIMTargets($targ,$alts);
		
		// Use absolute labels
		//$p1->SetLabelType(1);
		//$p1->value->SetFormat("%d ");

		// Move the pie slightly to the left
		$p1->SetCenter(0.3,0.5);
		$p1->SetTheme("water");
		$p1->ExplodeAll();

		$graph->Add($p1);

		$graph->Stroke();

?>