<?php
// written by: Simon Rudin
// assisted by: Christian Santiago
// debugged by: David Elrom/Christian Santiago

include_once ("../jpgraph/jpgraph.php");
include_once ("../jpgraph/jpgraph_pie.php");
include_once ("../jpgraph/jpgraph_pie3d.php");
include_once ("DBConnection.php5");
		
$tableDB = new DBConnection("ezserve","963852741","p41mysql21.secureserver.net","ezserve");
$tableDB->openDB();
  	
$topwaiterresults=$tableDB->getQuery("SELECT `Firstname`, `Lastname`, `WaiterID`, COUNT(`Session`.`WaiterID`) FROM `Order`, `Employee`, `Session` Where `Order`.`SessionID` = `Session`.`SessionID` AND `Session`.`WaiterID` = `Employee`.`SSN` AND `Order`.`Status` = 2 GROUP BY `Session`.`WaiterID` ORDER BY 4 DESC LIMIT 5");  	

$totalwaitersum = $tableDB->getQuery("SELECT SUM(`Status`/2) FROM `Order` Where `Status` = 2");

$tableDB->closeDB();
		
// Some data
$topwaitersum = 0;
$i = 0;
while($row=mysql_fetch_array($topwaiterresults,MYSQL_BOTH))
{
	$topwaitersum = $topwaitersum + $row[3];
	$data[$i] = $row[3];
	$name[$i] = $row[0]." ".$row[1];
	$i++;
}

$row=mysql_fetch_array($totalwaitersum,MYSQL_BOTH);
$othersum = $row[0] - $topwaitersum;

if($othersum > 0){
	$data[$i] = $othersum;
	$name[$i] = "Other";
}

// Create the Pie Graph. 
$graph = new PieGraph(535,260,'auto');
$graph->SetShadow();
$graph->SetAntiAliasing();
		
// Set A title for the plot
$graph->title->Set("Best Waiters");
$graph->title->SetFont(FF_FONT1,FS_BOLD);

// Create
$p1 = new PiePlot3D($data);
$p1->SetLegends($name);
$targ=array("pie3d_csimex1.php?v=1","pie3d_csimex1.php?v=2","pie3d_csimex1.php?v=3",
"pie3d_csimex1.php?v=4","pie3d_csimex1.php?v=5","pie3d_csimex1.php?v=6");
$alts=array("val=%d","val=%d","val=%d","val=%d","val=%d","val=%d");
$p1->SetCSIMTargets($targ,$alts);
		
// Use absolute labels
//$p1->SetLabelType(1);
//$p1->value->SetFormat("%d ");

// Move the pie slightly to the left
$p1->SetCenter(0.35,0.5);
$p1->ExplodeAll(10);
$p1->SetTheme("water");

$graph->Add($p1);

$graph->Stroke();

?>