<?php
// written by: David Elrom
// assisted by: Simon Rudin
// debugged by: David Elrom/Christian Santiago

include_once ("jpgraph/jpgraph.php");
include_once ("jpgraph/jpgraph_bar.php");
include_once ("DBConnection.php5");
		
$tableDB = new DBConnection("ezserve","963852741","p41mysql21.secureserver.net","ezserve");
$tableDB->openDB();
  	
$ordersbymonth=$tableDB->getQuery("SELECT MONTH(`Datetime`), COUNT(DAYOFWEEK(`Datetime`)) FROM `Order` WHERE `Status` = 2 GROUP BY MONTH(`Datetime`) ORDER BY 1");  	
		
$tableDB->closeDB();

$months[0] = "Jan";
$months[1] = "Feb";
$months[2] = "Mar";
$months[3] = "Apr";
$months[4] = "May";
$months[5] = "Jun";
$months[6] = "Jul";
$months[7] = "Aug";
$months[8] = "Sep";
$months[9] = "Oct";
$months[10] = "Nov";
$months[11] = "Dec";

$i = 0;
while($row=mysql_fetch_array($ordersbymonth,MYSQL_BOTH))
{

	$names[$i] = $months[$row[0]-1];
	$data[$i] = $row[1];
	$i++;
	
}

// Create the graph. These two calls are always required
$graph = new Graph(500,400,"auto");	
$graph->SetScale("textlin");

// Add a drop shadow
$graph->SetShadow();

// Adjust the margin a bit to make more room for titles
$graph->img->SetMargin(40,30,20,40);

// Create a bar pot
$bplot = new BarPlot($data);

// Adjust fill color
$bplot->SetFillColor('orange');

// Setup values
$bplot->value->Show();
$bplot->value->SetFormat('%d');
$bplot->value->SetColor("gold");
$bplot->value->SetFont(FF_FONT1,FS_BOLD);

// Center the values in the bar
$bplot->SetValuePos('center');

// Make the bar a little bit wider
$bplot->SetWidth(0.7);

$graph->Add($bplot);

$graph->xaxis->SetTickLabels($names);
$graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');

// Setup the titles
$graph->title->Set("Orders By Month");
$graph->xaxis->title->Set("Month");
$graph->yaxis->title->Set("Orders Sold");
$graph->ygrid->SetFill(true,'#EFEFEF@0.5','#BBCCFF@0.5');

$graph->title->SetFont(FF_FONT1,FS_BOLD);
$graph->yaxis->title->SetFont(FF_FONT1,FS_BOLD);
$graph->xaxis->title->SetFont(FF_FONT1,FS_BOLD);

$bplot->SetFillGradient("navy","lightsteelblue",GRAD_VER);

// Set color for the frame of each bar
$bplot->SetColor("navy");

// Display the graph
$graph->Stroke();

?>